{% extends 'app_base.html.twig' %}

{% block title %}Admin - Configuration {% endblock %}
{% block body %}
    <nav aria-label="breadcrumb" class="bg-primary-subtle pt-xl-1 pb-xl-1 ps-3 mb-4">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ path('app_home') }}">Home</a></li>
            <li class="breadcrumb-item"><a href="{{ path('app_admin') }}">Admin</a></li>
            <li class="breadcrumb-item active" aria-current="page">Configuration</li>
        </ol>
    </nav>

    <h1>Configuration</h1>


    <hr class="col-3 col-md-2 mb-5">
    <div class="col-md-12">

        <h2>Software </h2>
        <table  class="table table-hover table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Software</th>
                <th scope="col">Version</th>
            </tr>
            </thead>
            <tbody class="table-group-divider">
            <tr>
                <td>{{ softwareName }}</td>
                <td>{{ softwareRelease }}</td>
            </tr>
            <tr>
                <td>Symfony</td>
                <td>{{ symfony_version }}</td>
            </tr>
            <tr>
                <td>PHP </td>
                <td>{{ php_version }} &nbsp; <small>version ID -> {{ php_version_id }}</small></td>
            </tr>
            <tr>
                <td>OpenSSL </td>
                <td>{{ openssl_version }} <br><small>version ID -> {{ openssl_version_id }}</small></td>
            </tr>
            </tbody>
        </table>

        <hr class="col-3 col-md-2 mb-5">
        <h2>{{ softwareName }} technical configuration</h2>
        <table  class="table table-hover table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Environnement variables</th>
                <th scope="col">Value</th>
            </tr>
            </thead>
            <tbody class="table-group-divider">
            <tr>
                <td>APP_ENV</td>
                <td>{{ app.environment }}</td>
            </tr>
            <tr>
                <td>CFSSL_API_SERVER</td>
                <td>{{ cfsslUrl }}</td>
            </tr>
            <tr>
                <td>WEBAPP_NAME</td>
                <td>{{ appName }}</td>
            </tr>
            <tr>
                <td>WEBAPP_SHORTNAME</td>
                <td>{{ appShortName }}</td>
            </tr>
            <tr>
                <td>WEBAPP_EMAIL_ALERTING_TO</td>
                <td>{{ appEmailAlertingTo }}</td>
            </tr>
            <tr>
                <td>WEBAPP_EMAIL_FROM</td>
                <td>{{ appEmailFrom }}</td>
            </tr>
            <tr>
                <td>WEBAPP_I18N_DEFAULT_LOCALE</td>
                <td>{{ app_i18n_default_locale }}</td>
            </tr>
            <tr>
                <td>WEBAPP_SESSION_LIFETIME</td>
                <td>{{ app_session_lifetime }} seconds</td>
            </tr>
            <tr>
                <td>WEBAPP_TIMEZONE</td>
                <td>{{ app_timezone }}</td>
            </tr>
            <tr>
                <td>WEBAPP_TRUSTED_HOSTS</td>
                <td>{{ app_trusted_host }}</td>
            </tr>
            <tr>
                <td>WEBAPP_DEFAULT_URI
                    <br><small>Default URI used to generate URLs in a non-HTTP context</small>
                </td>
                <td>{{ app_default_uri }}</td>
            </tr>
            <tr>
                <td>WEBAPP_CERTIFICAT_COPY_REMINDER_TO_EMAIL_ALERTING
                    <br><small>Send copy of certificate end-of-life notifications to WEBAPP_EMAIL_ALERTING_TO</small>
                </td>
                <td>{{ app_cert_remind_copy_to_alerting ? 'enabled' : 'disabled' }}</td>
            </tr>
            </tbody>
        </table>
        <hr class="col-3 col-md-2 mb-5">
        <ul class="icon-list ps-0">
            <li class="d-flex align-items-start mb-1">
                <a href="{{ path('app_admin_config_send_testing_email') }}">Tested sending emails</a>
            </li>
        </ul>


        <hr class="col-3 col-md-2 mb-5">
        <h2>Computed configuration</h2>
        <table  class="table table-hover table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Configuration</th>
                <th scope="col">Value</th>
            </tr>
            </thead>
            <tbody class="table-group-divider">
            <tr>
                <td>Webapp Time Zone</td>
                <td>{{ date_time_zone }} <br><small>{{ date_now }}</small></td>
            </tr>
            </tbody>
        </table>

        <hr class="col-3 col-md-2 mb-5">
        <h2>{{ softwareName }} configuration of user interface </h2>
        <table  class="table table-hover table-dark table-striped">
            <thead>
            <tr>
                <th scope="col">Environnement variables</th>
                <th scope="col">Value</th>
            </tr>
            </thead>
            <tbody class="table-group-divider">
            <tr>
                <td>WEBAPP_ADMIN_CONFIG_DEFAULT_MAX_USER_PER_PAGE</td>
                <td>{{ app_admin_config_default_max_user_per_page }}</td>
            </tr>
            <tr>
                <td>WEBAPP_ADMIN_CONFIG_DEFAULT_MAX_CERT_PER_PAGE</td>
                <td>{{ app_admin_config_default_max_cert_per_page }}</td>
            </tr>
            <tr>
                <td>WEBAPP_MANAGER_CONFIG_DEFAULT_MAX_CERT_PER_PAGE</td>
                <td>{{ app_manager_config_default_max_cert_per_page }}</td>
            </tr>
            <tr>
                <td>WEBAPP_USER_CONFIG_PASSWORD_RESET_TOKEN_LIFETIME</td>
                <td>{{ app_user_config_reset_password_token_lifetime }}  seconds</td>
            </tr>
            <tr>
                <td>WEBAPP_USER_CONFIG_MIN_PASSWORD_LENGTH</td>
                <td>{{ app_user_config_min_password_length }}</td>
            </tr>
            <tr>
                <td>WEBAPP_CERTIFICAT_CONFIG_MIN_PASSWORD_LENGTH</td>
                <td>{{ app_cert_config_min_password_length }}</td>
            </tr>
            </tbody>
        </table>


        <hr class="col-3 col-md-2 mb-5">
        <h1>PHP configuration</h1>
        <ul class="icon-list ps-0">
            <li class="d-flex align-items-start mb-1">
                <a href="{{ path('app_admin_config_phpinfo') }}">
                    Display <strong>PHP info</strong>
                </a>
            </li>
        </ul>


        <table class="table table-dark  table-striped table-hover">
            <thead>
            <tr>
                <th> PHP loaded extension  </th>
            </tr>
            </thead>
            <tbody>
            {% for key, info in php_loaded_extensions %}
                <tr>
                    <td> {{ info }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>


    </div>


{% endblock %}
